/**  sWebbrowser Monitor EXAMPLE with my sWiFi library
  *  Totally free to use and modify
  *  Ewald Kendziorra sr, 2020, www.kendziorra.nl       **/
//        **** Use a Webbrowser as a Monitor ****        //
//           ESP32 Browser Monitor EXAMPLE               //
//           -----------------------------               //
//       Use "WebMonitor.htlm" as Arduino monitor        //
//        It's in the sWebMonitor example folder         //
// ----------------------------------------------------- //

#ifdef USE_WS
  void wsPrint(char *msg);  // to WebMonitor
  void wsAction();          // from WebMonitor
  
  void wsPrint(char *msg) {  // to WebMonitor
    webSocket.broadcastTXT(msg);
    #ifdef USE_ECHO
      Serial.printf("-: %s\n", msg);
    #endif
  }
  void wsAction() {  // from WebMonitor
    Serial.printf("%s\n", wsBuf.c_str());   // received
    #ifdef USE_ECHO
      char msg[wsBuf.length() + 1];
      sprintf(msg, "-: %s", wsBuf.c_str());
      webSocket.broadcastTXT(msg);  // send echo
    #endif
    wsVal = false;
  }

#endif
