#include <Wire.h>
#include <sBMP280.h>

double ph = 1013.25;  // use the current local air pressure in hPa (hectoPascal)
double TPA[3];  // [0]=temp, [1]=press, [2]= air-press-altitude
bool ok = true;

void setup() {
  Serial.begin(115200);
  Serial.println("\n...\n");
  //ok = s280begin(0x77);  // SDO->3.3V
  ok = s280begin();  // default: 0x76 SDO->GND
}
  
void loop() {
    //s280getTPA(TPA, ph);
    s280getTPA(TPA);
    if (ok) Serial.printf("Temperature:\t%f *C \nPressure:\t%f Pa\nAltitude:\t%f m\n\n", TPA[0], TPA[1], TPA[2]);
    else Serial.println("oh, oh!\n");
    delay(2000);
}
