#include <sDegreesSteps.h>


void setup() {
  Serial.begin(115200);
//  Serial.setDebugOutput(true); 
  Serial.println("\n...\n");

  /** This example must print this:
   * degPos: 135
   * degPos: 48
   * degPos: 0
   * degPos: 264
   **/
  sDegrees( 14,   // stepPin1, stepper pins
            12,   // stepPin2
            13,   // stepPin3
            15,   // stepPin4
            16,   // homePin, microswitch home position
           264);  // endPos, 270* - 6* -  stop -3* before max potentiometer angle
  
  uint16_t p;  // to get the current position in degrees
  bool ok;
  ok = findHome();         // find the home position (microswitch)
  if (ok) {
    ok = toDegree(135);      // turn potentiometer to 135 degrees
    p = degPos;              // get current position in degrees
    Serial.printf("degPos: %u, ok: %u\n", p);
    ok = toDegree(48);       // turn potentiometer to 48 degrees
    p = degPos;
    Serial.printf("degPos: %u, ok: %u\n", p);
    ok = toDegree(homePosDeg);  // turn potentiometer to homePos
    p = degPos;
    Serial.printf("degPos: %u, ok: %u\n", p);
    ok = toDegree(endPosDeg);   // turn potentiometer to endPos
    p = degPos;
    Serial.printf("degPos: %u, ok: %u\n", p);
  }
}

void loop() {
}
