#include <sReceive433.h>

const uint8_t rPin = 12,
              // ESP32 (3) the correct value? you should try
              rRep = 3;  //   repeats (2-4)

void setup() {
  Serial.begin(115200);
  Serial.println("\n...\n");
  rxInit(rPin, rRep, rxReceive);  // rx-pin, repeats (2-4), callback function
  Serial.println("== 433MHz receiver ==\n");
}

void loop(){
  
}

void rxReceive(char c) {
  if (c == '\n') Serial.println();
  else Serial.print(c);
}
